﻿Imports System
Imports Raven.Client
Imports Raven.Client.Embedded

Namespace Models
    Public Class DataDocumentStore
        'INSTANT VB NOTE: The variable instance was renamed since Visual Basic does not allow class members with the same name:
        Private Shared instance_Renamed As IDocumentStore

        Public Shared ReadOnly Property Instance() As IDocumentStore
            Get
                If instance_Renamed Is Nothing Then
                    Throw New InvalidOperationException("IDocumentStore has not been initialized.")
                End If
                Return instance_Renamed
            End Get
        End Property

        Public Shared Function Initialize() As IDocumentStore
            instance_Renamed = New EmbeddableDocumentStore With {.ConnectionStringName = "RavenDB"}
            instance_Renamed.Conventions.IdentityPartsSeparator = "-"
            instance_Renamed.Initialize()
            Return instance_Renamed
        End Function
    End Class
End Namespace