﻿
Imports Mvc3RavenDbEmbed.Models

' Note: For instructions on enabling IIS6 or IIS7 classic mode, 
' visit http://go.microsoft.com/?LinkId=9394802

Public Class MvcApplication
    Inherits System.Web.HttpApplication

    Shared Sub RegisterGlobalFilters(ByVal filters As GlobalFilterCollection)
        filters.Add(New HandleErrorAttribute())
    End Sub

    Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
        routes.IgnoreRoute("{resource}.axd/{*pathInfo}")

        routes.MapRoute("BookmarkTag", "Bookmarks/Tag/{tag}", New With {Key .controller = "Bookmarks", Key .action = "Tag", Key .tag = ""})

        routes.MapRoute("Default", "{controller}/{action}/{id}", New With {Key .controller = "Bookmarks", Key .action = "Index", Key .id = UrlParameter.Optional}) ' Parameter defaults -  URL with parameters -  Route name

    End Sub

    Sub Application_Start()
        AreaRegistration.RegisterAllAreas()
        RegisterGlobalFilters(GlobalFilters.Filters)
        RegisterRoutes(RouteTable.Routes)

        ModelBinders.Binders.Add(GetType(Bookmark), New BookmarkModelBinder())
        DataDocumentStore.Initialize()
    End Sub
End Class
