﻿Imports System.Collections.Generic
Imports System.Linq
Imports System.Web.Mvc

Namespace Models
    Public Class BookmarkModelBinder
        Inherits DefaultModelBinder
        Protected Overrides Sub OnModelUpdated(ByVal controllerContext As ControllerContext, ByVal bindingContext As ModelBindingContext)
            Dim form = controllerContext.HttpContext.Request.Form
            Dim tagsAsString = form("TagsAsString")
            Dim bookmark = TryCast(bindingContext.Model, Bookmark)
            bookmark.Tags = If(String.IsNullOrEmpty(tagsAsString), New List(Of String)(), tagsAsString.Split(","c).Select(Function(i) i.Trim()).ToList())
        End Sub
    End Class
End Namespace