﻿@imports Mvc3RavenDbEmbed.Models
@modelType Bookmark
@Code 
    ViewBag.Title = "Details"
  End   Code

<h2>Details</h2>
<div class="Title"><a href="@Model.Url">@Model.Title</a></div>
<div class="Url"><a href="@Model.Url">@Model.Url</a></div>
<div class="DateCreated">Created on @Model.DateCreated.ToShortDateString()</div>
<div class="Description">@Model.Description</div>
<ul class="Tags">
  @code
      For Each tag In Model.Tags
          @<li>@Html.ActionLink(tag, "Tag", New With {Key .controller = "Bookmarks", Key tag})</li>
      Next
  End Code
</ul>
<ul class="Actions">
    <li>@Html.ActionLink("Edit", "Edit",New With {Key .id = Model.Id}) </li>
    <li>@Html.ActionLink("Back to List", "Index")</li>
</ul>